summaryrefslogtreecommitdiffstats
path: root/bin/reserved-but-public
diff options
context:
space:
mode:
authorRaphael Geissert <geissert@debian.org>2011-01-13 05:39:57 +0000
committerRaphael Geissert <geissert@debian.org>2011-01-13 05:39:57 +0000
commitbbe2de096d77d7dcf19f6d2d3ef0a53faac8bd9c (patch)
treecdf2f4ec2a8cab31d8e6663b0da926c2195e1b5f /bin/reserved-but-public
parent443e8ddec84e883d74954b94ebcd4fdf8b7ffa17 (diff)
Add new script to list RESERVED issues for which we have data
Usage: bin/reserved-but-public [--verbose] git-svn-id: svn+ssh://svn.debian.org/svn/secure-testing@15839 e39458fd-73e7-0310-bf30-c45bca0a0e42
Diffstat (limited to 'bin/reserved-but-public')
-rwxr-xr-xbin/reserved-but-public63
1 files changed, 63 insertions, 0 deletions
diff --git a/bin/reserved-but-public b/bin/reserved-but-public
new file mode 100755
index 0000000000..570df6dabf
--- /dev/null
+++ b/bin/reserved-but-public
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+####################
+# Copyright (C) 2011 by Raphael Geissert <geissert@debian.org>
+#
+#
+# This file is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this file. If not, see <http://www.gnu.org/licenses/>.
+####################
+
+set -eu
+
+list=data/CVE/list
+
+[ -f $list ] || {
+ echo "error: $list doesn't exist" >&2
+ exit 1
+}
+
+verbose=false
+if [ "${1:-}" = "--verbose" ]; then
+ verbose=true
+fi
+
+reserved=false
+cve=
+while read line; do
+ case $line in
+ CVE-*)
+ cve="$line"
+ reserved=false
+ ;;
+ *RESERVED)
+ reserved=true
+ ;;
+ *)
+ if ! $reserved; then
+ continue
+ fi
+ if [ "$cve" ]; then
+ if $verbose; then
+ printf "%s\n" "$cve"
+ else
+ printf "%s\n" "$(printf '%s' "$cve" | cut -d\ -f1)"
+ fi
+ cve=
+ fi
+ if $verbose; then
+ printf "\t%s\n" "$line"
+ fi
+ ;;
+ esac
+done < "$list"

© 2014-2024 Faster IT GmbH | imprint | privacy policy